import { Build } from "@stencil/core";
export const format = (appId) => {
    return appId || '';
};
export class Logger {
    constructor(environment) {
        this.log = (...args) => {
            if (this.environment !== 'production' && Build.isDev) {
                console.clear();
                console.log(...args);
            }
        };
        this.environment = environment;
    }
}
//# sourceMappingURL=utils.js.map
