import { Environment, ErrorCorrectionLevel, ThemePreset } from './enums';
export declare class ZeroAccount {
    appId: string;
    updateInterval?: number;
    callbackURL: string;
    level?: ErrorCorrectionLevel;
    environment?: Environment;
    enableWithCredentials?: boolean;
    themePreset?: ThemePreset;
    autoStartApp?: boolean;
    private logger;
    private uaParser;
    private ws;
    private timer;
    private animationTimer;
    host: HTMLElement;
    private modalEl;
    private closeButtonEl;
    modalOpen: boolean;
    isOpenAppBeingClicked: boolean;
    isAnimating: boolean;
    url: string;
    private getUpdateInterval;
    private refreshQR;
    toggleModal(): void;
    private _closeModal;
    logout(): void;
    private closeModal;
    openApp(): void;
    render(): any;
    private hideOnEsc;
    initServices(): void;
    componentWillLoad(): void;
    private updateURL;
    isMobile(): boolean;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private restartTimer;
    private startTimer;
    private stopTimer;
    private log;
}
